# SATT: Self-host all the things!

A repository containing a set of [Ansible](https://www.ansible.com/) roles and playbooks to provision self-hosted Open Source services

The main goals of this project are:

* regain control of your data,
* counter the growing vendor lock-in of big corporations,
* foster decentralisation and federation
* enable individuals but also e.g. educational institutions or NGOs to quickly set up their own infrastructure,
* provide an overall well integrated set of tools which allows to use one tool together with another.

## Services

### Working

- Nextcloud Hub
- Jitsi Meet
- Collabora Online (integrates with Nextcloud)

### WIP

- BigBlueButton

### Backlog

- Mumble
- Moodle
- Matrix+Riot
- Opencast

## Prerequisites

- A server running Ubuntu or some other Debian-based distribution and working SSH access
- Ansible on another computer that will send SSH commands to the target server to provision it

## Quickstart: Vagrant

By default, a `vagrant` user will be provisioned (if not already available) and used throughout the provisioning.

**TODO: Provide Vagrantfile and further documentation!**

## Quickstart: Regular server/VM

- Clone this repo
- Install dependencies (roles): `ansible-galaxy install -r requirements.yml`
- Adapt the inventory and choose the services
- Configure each desired service by following the README of its role.
- Run the playbook `site.yml` or one of the service playbooks.
